<?php

    namespace Modules\Lpj\Http\Requests;

    use Illuminate\Foundation\Http\FormRequest;

    class NocRequest extends FormRequest
    {
        public function authorize()
        {
            return true;
        }

        public function rules()
        {
            return [
                'penawaran_id'  => 'nullable|exists:penawaran,id',
                'nominal_bayar' => 'nullable|numeric|min:0',
                'bukti_ksl'     => 'nullable|file|mimes:pdf,jpg,jpeg,png|max:10240',
                'status'        => 'nullable|boolean',
            ];
        }
    }
